## qemu-web-desktop 21.05.03

=== src/Makefile ===
# Makefile to install remote-desktop.
# just type: make install
#
# required:
#   apache2 libapache2-mod-perl2 novnc websockify qemu-kvm bridge-utils qemu
#   iptables dnsmasq libcgi-pm-perl liblist-moreutils-perl libsys-cpu-perl
#   libsys-cpuload-perl libsys-meminfo-perl libnet-dns-perl 
#   libproc-background-perl libproc-processtable-perl libemail-valid-perl 
#   libnet-smtps-perl libmail-imapclient-perl libnet-ldap-perl 
#   libemail-valid-perl libjson-perl
#
# NOTES:
#   you may have to tune the path to /etc/apache2/conf-available/serve-cgi-bin.conf
#   or other locations. The current makefile works on Debian-class systems.

all:

install:
	install -D html/desktop/index.html $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html
	install -D html/desktop/style.css $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html
	install -D html/desktop/images $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html
	install -D html/desktop/machines $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop
	install -D -d $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop/snapshots
	install -D cgi-bin/qemu-web-desktop.pl $(DESTDIR)$(prefix)/usr/lib/cgi-bin/qemu-web-desktop.pl
	install -D bin/qwdctl $(DESTDIR)$(prefix)/usr/bin
	ln -s $(prefix)/var/lib/qemu-web-desktop/machines.html $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html
	# configure accounts and permissions
	chmod 755 /etc/qemu-ifup
	adduser --system qemu-web-desktop
	chown -R qemu-web-desktop $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop
	find $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop$/html -type f -exec chmod a+r {} +
	find $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop$/html -type d -exec chmod a+rx {} +
	chmod 755 $(DESTDIR)$(prefix)/usr/lib/cgi-bin/qemu-web-desktop.pl
	# add apache configuration for cgi perl
	install apache.conf $(DESTDIR)$(prefix)/etc/apache2/conf-available/qemu-web-desktop.conf
	a2enconf qemu-web-desktop
	a2enmod cgi
	a2enmod include
	service apache2 restart
	qwdctl download

uninstall:
	-rm -rf $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop
	-rm -f  $(DESTDIR)$(prefix)/usr/lib/cgi-bin/qemu-web-desktop

.PHONY: all install uninstall
