=== debian/changelog ===
qemu-web-desktop (21.05.03-4) unstable; urgency=medium

  * Fix Vcs-* fields.

 -- Roland Mas <lolando@debian.org>  Wed, 09 Jun 2021 13:48:09 +0200

qemu-web-desktop (21.05.03-3) unstable; urgency=medium

  * Remove test code.

 -- Roland Mas <lolando@debian.org>  Wed, 09 Jun 2021 11:41:58 +0200

qemu-web-desktop (21.05.03-2) unstable; urgency=medium

  * Bug fix: "qemu-kvm dependency isn't available on all Architecture:
    any", thanks to Christian Ehrhardt (Closes: #989638).

 -- Roland Mas <lolando@debian.org>  Wed, 09 Jun 2021 11:20:33 +0200

qemu-web-desktop (21.05.03-1) unstable; urgency=medium

  * New upstream release to work around an MPM-ITK quirk.

 -- Roland Mas <lolando@debian.org>  Mon, 17 May 2021 18:51:33 +0200

qemu-web-desktop (21.04.10-2) unstable; urgency=medium

  * Add missing Depends: confget.

 -- Roland Mas <lolando@debian.org>  Tue, 20 Apr 2021 11:37:25 +0200

qemu-web-desktop (21.04.10-1) unstable; urgency=medium

  * Initial upload (closes: #986543).

 -- Roland Mas <lolando@debian.org>  Mon, 12 Apr 2021 12:48:12 +0200
