## qemu-web-desktop 21.11.30%2Bds1

=== debian/changelog ===
qemu-web-desktop (21.11.30+ds1-1) unstable; urgency=medium

  * Repack upstream tarball to exclude debian/ directory in addition to VM
    images.

 -- Roland Mas <lolando@debian.org>  Wed, 01 Dec 2021 19:08:14 +0100

qemu-web-desktop (21.11.30-1) unstable; urgency=medium

  * Add watch file.
  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 01 Dec 2021 17:24:26 +0100

qemu-web-desktop (21.08.10-5) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Wed, 22 Sep 2021 21:01:37 +0200

qemu-web-desktop (21.08.10-4) unstable; urgency=medium

  * Make postrm more robust (thanks, piuparts).

 -- Roland Mas <lolando@debian.org>  Wed, 22 Sep 2021 20:05:31 +0200

qemu-web-desktop (21.08.10-3) unstable; urgency=medium

  * Remove dependency on qemu, but suggest qemu-system for users that need
    full flexibility (closes: #989638, #992950).

 -- Roland Mas <lolando@debian.org>  Tue, 21 Sep 2021 21:32:11 +0200

qemu-web-desktop (21.08.10-2) unstable; urgency=medium

  * Add Frédéric-Emmanuel Picca to Uploaders.
  * Add remove unused dirs on purge (thanks, piuparts).

 -- Roland Mas <lolando@debian.org>  Fri, 10 Sep 2021 17:27:14 +0200

qemu-web-desktop (21.08.10-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Sat, 14 Aug 2021 11:30:06 +0200
