=== src/Makefile ===
--- 
+++ 
@@ -23,7 +23,6 @@
 	install -D -d $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop/snapshots
 	install -D cgi-bin/qemu-web-desktop.pl $(DESTDIR)$(prefix)/usr/lib/cgi-bin/qemu-web-desktop.pl
 	install -D bin/qwdctl $(DESTDIR)$(prefix)/usr/bin
-	ln -s $(prefix)/var/lib/qemu-web-desktop/machines.html $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html
 	# configure accounts and permissions
 	chmod 755 /etc/qemu-ifup
 	adduser --system qemu-web-desktop
@@ -38,6 +37,8 @@
 	a2enmod include
 	service apache2 restart
 	qwdctl download
+	ln -s $(prefix)/var/lib/qemu-web-desktop/machines.html $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html
+	ln -s $(prefix)/var/lib/qemu-web-desktop/mounts.html $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html
 
 uninstall:
 	-rm -rf $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop
