=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Roland Mas <lolando@debian.org>, Emmanuel Farhi <emmanuel.farhi@synchrotron-soleil.fr>
+Uploaders: Roland Mas <lolando@debian.org>, Emmanuel Farhi <emmanuel.farhi@synchrotron-soleil.fr>, Frédéric-Emmanuel Picca <picca@debian.org>
 Build-Depends: debhelper (>= 12), dh-apache2, dh-sysuser, pandoc
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/debian/qemu-web-desktop
@@ -20,7 +20,6 @@
   qemu-system-arm [arm64],
   qemu-system-ppc [ppc64el],
   bridge-utils,
-  qemu,
   iptables,
   dnsmasq,
   libcgi-pm-perl,
@@ -41,6 +40,7 @@
   confget,
   adduser
 Recommends: ${misc:Recommends}
+Suggests: qemu-system
 Description: Remote desktop service with virtual machines in a browser.
  A remote desktop service that launches virtual machines and displays
  them in your browser. Place virtual machine files (ISO, QCOW2, VDI,
