=== debian/watch ===
version=4
opts=\
repack,repacksuffix=+ds1,dversionmangle=auto \
https://gitlab.com/soleil-data-treatment/soleil-software-projects/remote-desktop/-/tags?sort=updated_desc archive/v@ANY_VERSION@/remote-desktop-v?[\d.]+\S*@ARCHIVE_EXT@
