## qemu-web-desktop 22.04.22-1+ds1

=== debian/changelog ===
qemu-web-desktop (22.04.22-1+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Mon, 02 May 2022 16:55:59 +0200

qemu-web-desktop (22.04.17+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 19 Apr 2022 14:49:22 +0200
