## qemu-web-desktop 22.09.16+ds1

=== debian/changelog ===
qemu-web-desktop (22.09.16+ds1-3) unstable; urgency=medium

  * Bug fix: "please add support for riscv64", thanks to Bo YU (Closes: #1016469).

 -- Roland Mas <lolando@debian.org>  Tue, 04 Oct 2022 09:14:10 +0200

qemu-web-desktop (22.09.16+ds1-2) unstable; urgency=medium

  * Backport two patches from upstream.

 -- Roland Mas <lolando@debian.org>  Wed, 28 Sep 2022 18:08:11 +0200

qemu-web-desktop (22.09.16+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches (merged upstream).

 -- Roland Mas <lolando@debian.org>  Tue, 20 Sep 2022 19:39:15 +0200
