=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Homepage: https://gitlab.com/soleil-data-treatment/soleil-software-projects/remote-desktop
 
 Package: qemu-web-desktop
-Architecture: amd64 ppc64el arm64
+Architecture: amd64 ppc64el arm64 riscv64
 Depends: ${shlibs:Depends}, ${misc:Depends},
   apache2,
   libapache2-mod-perl2,
@@ -37,6 +37,7 @@
   libemail-valid-perl,
   libjson-perl,
   novnc,
+  guestfs-tools,
   confget,
   adduser
 Recommends: ${misc:Recommends}
