## qemu-web-desktop 23.02.16+ds1

=== src/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 #   libproc-background-perl libproc-processtable-perl libemail-valid-perl 
 #   libnet-smtps-perl libmail-imapclient-perl libnet-ldap-perl 
 #   libemail-valid-perl libjson-perl libwww-perl libguestfs-tools libapache2-mpm-itk
+#   libtext-qrcode-perl
 #
 # NOTES:
 #   you may have to tune the path to /etc/apache2/conf-available/serve-cgi-bin.conf
@@ -33,6 +34,7 @@
 	chmod 755 /etc/qemu-ifup
 	adduser --system --home $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop --force-badname _qemu-web-desktop
 	chown -R _qemu-web-desktop $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop
+	chmod a+xr $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop
 	find $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html -type f -exec chmod a+r {} +
 	find $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html -type d -exec chmod a+rx {} +
 	chmod 755 $(DESTDIR)$(prefix)/usr/lib/cgi-bin/qemu-web-desktop.pl
