=== debian/changelog ===
qemu-web-desktop (23.02.16+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Add new Depends: libtext-qrcode-perl.
  * Remove unneeded patch (initially picked from upstream).

 -- Roland Mas <lolando@debian.org>  Wed, 15 Feb 2023 19:57:30 +0100
