## qemu-web-desktop 23.06.22+ds1

=== debian/changelog ===
qemu-web-desktop (23.06.22+ds1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 24 Nov 2023 15:44:20 +0100

qemu-web-desktop (23.06.22+ds1-2) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 04 Oct 2023 11:39:07 +0200
