=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
   bridge-utils,
   iptables,
   dnsmasq,
+  guestfs-tools,
   libcgi-pm-perl,
   liblist-moreutils-perl,
   libsys-cpu-perl,
@@ -36,8 +37,8 @@
   libnet-ldap-perl,
   libemail-valid-perl,
   libjson-perl,
+  libtext-qrcode-perl,
   novnc,
-  guestfs-tools,
   confget,
   adduser
 Recommends: ${misc:Recommends}
