## qemu-web-desktop 24.01.19+ds1

=== Makefile ===
--- 
+++ 
@@ -12,3 +12,5 @@
 		--exclude=*~ \
 		--exclude=./debian \
 		.
+deb:
+	debuild -b
