=== src/Makefile ===
--- 
+++ 
@@ -48,6 +48,9 @@
 	ln -sf $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop/machines.html $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html/desktop
 	ln -sf $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html/desktop $(DESTDIR)$(prefix)/var/www/html/
 	ln -sf $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop/machines $(DESTDIR)$(prefix)/var/www/html/desktop/
+	
+test:
+	perl src/cgi-bin/qemu-web-desktop.pl --dir_service=src/html/desktop --dir_html=src/html --dir_snapshots=/tmp --dir_machines=src/html/desktop/machines/ --oneshot=1
 
 uninstall:
 	-rm -rf $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop
