=== debian/changelog ===
qemu-web-desktop (24.01.19+ds1-3) unstable; urgency=medium

  * Bug fix: "qemu-web-desktop： Please add loong64 binary output", thanks
    to yalingfang (Closes: #1060125). 

 -- Roland Mas <lolando@debian.org>  Tue, 06 Feb 2024 15:27:45 +0100

qemu-web-desktop (24.01.19+ds1-2) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 31 Jan 2024 11:12:49 +0100

qemu-web-desktop (24.01.12+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 19 Jan 2024 15:13:19 +0100
