=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Homepage: https://gitlab.com/soleil-data-treatment/soleil-software-projects/remote-desktop
 
 Package: qemu-web-desktop
-Architecture: amd64 ppc64el arm64 riscv64
+Architecture: amd64 ppc64el arm64 riscv64 loong64
 Depends: ${shlibs:Depends}, ${misc:Depends},
   apache2,
   libapache2-mod-perl2,
@@ -19,6 +19,7 @@
   qemu-system-x86 [amd64],
   qemu-system-arm [arm64],
   qemu-system-ppc [ppc64el],
+  qemu-system-misc [loong64],
   bridge-utils,
   iptables,
   dnsmasq,
