## qemu-web-desktop 24.07.12+ds1

=== debian/changelog ===
qemu-web-desktop (24.07.12+ds1-2) unstable; urgency=medium

  * Move to dh_installsysusers (thanks, Luca Boccassi!).

 -- Roland Mas <lolando@debian.org>  Tue, 16 Jul 2024 11:48:07 +0200

qemu-web-desktop (24.07.12+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Sun, 14 Jul 2024 18:18:46 +0200

qemu-web-desktop (24.01.19+ds1-4) unstable; urgency=medium

  * Add DARTS to the package description for better findability.

 -- Roland Mas <lolando@debian.org>  Tue, 26 Mar 2024 11:16:58 +0100
