## qemu-web-desktop 25.01.25+ds1

=== Makefile ===
--- 
+++ 
@@ -13,4 +13,13 @@
 		--exclude=./debian \
 		.
 deb:
-	debuild -b
+	@echo " Building Debian package"
+	# requires: git-buildpackage dh-apache2 dh-sysuser devscripts
+	-rm -rf debian build
+	cp -r packaging/debian .
+	# remove too big ISO
+	mv src/html/desktop/machines/slax.iso .
+	debuild -b || true
+	rm -rf debian
+	mv slax.iso src/html/desktop/machines/slax.iso
+	@echo "[OK] Build deb"
