=== src/Makefile ===
--- 
+++ 
@@ -13,8 +13,31 @@
 # NOTES:
 #   you may have to tune the path to /etc/apache2/conf-available/serve-cgi-bin.conf
 #   or other locations. The current makefile works on Debian-class systems.
+#
+# make install
+#   install qemu-web-desktop
+# make deps
+#   install Debian/Ubuntu dependencies (before make install)
+# make test
+#   test
+# make deb
+#   build debian package
 
 all:
+
+# alt man generation: pandoc -s -o qwdctl.1 --to man -f markdown-smart qwdctl.md
+
+help:
+	@help2man -o qwdctl.1 --no-discard-stderr -n 'control qemu-web-desktop' bin/qwdctl || true
+	@pandoc ../README.md --to pdf > README.pdf || echo "WARNING: skip pdf doc (missing pandoc)"
+	@echo "Usage: install qemu-web-desktop"
+	@echo "make install"
+	@echo "  install qemu-web-desktop"
+	@echo "make deb"
+	@echo "  create debian package"
+
+deps:
+	sudo apt install apache2 libapache2-mod-perl2 novnc websockify qemu-kvm bridge-utils qemu iptables dnsmasq libcgi-pm-perl liblist-moreutils-perl libsys-cpu-perl libsys-cpuload-perl libsys-meminfo-perl libnet-dns-perl confget libproc-background-perl libproc-processtable-perl libemail-valid-perl  libnet-smtps-perl libmail-imapclient-perl libnet-ldap-perl libemail-valid-perl libjson-perl libwww-perl libguestfs-tools libapache2-mpm-itk libtext-qrcode-perl libnet-ssh2-perl
 
 install:
 	install -D -d $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html/desktop
@@ -22,6 +45,7 @@
 	install -D -d $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop/machines
 	install -D -d $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop/snapshots
 	install -D -d $(DESTDIR)$(prefix)/etc/qemu-web-desktop/
+	install -D -d $(DESTDIR)$(prefix)/usr/share/doc/qemu-web-desktop
 	install -D html/desktop/index.html $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html/desktop
 	install -D html/desktop/style.css $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html/desktop
 	install -D html/desktop/images/* $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html/desktop/images
@@ -30,6 +54,8 @@
 	install -D bin/qwdctl $(DESTDIR)$(prefix)/usr/bin/
 	install -D machines.conf $(DESTDIR)$(prefix)/etc/qemu-web-desktop/
 	install -D config.pl $(DESTDIR)$(prefix)/etc/qemu-web-desktop/
+	install -D qwdctl.1  $(DESTDIR)$(prefix)/usr/share/man/man1/qwdctl.1
+	install -D README.pdf $(DESTDIR)$(prefix)/usr/share/doc/qemu-web-desktop
 	# configure accounts and permissions
 	chmod 755 /etc/qemu-ifup
 	adduser --system --home $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop --force-badname _qemu-web-desktop
@@ -43,14 +69,15 @@
 	a2enconf qemu-web-desktop
 	a2enmod cgi
 	a2enmod include
-	service apache2 restart
+	apachectl restart
 	qwdctl download
 	ln -sf $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop/machines.html $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html/desktop
 	ln -sf $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop/html/desktop $(DESTDIR)$(prefix)/var/www/html/
 	ln -sf $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop/machines $(DESTDIR)$(prefix)/var/www/html/desktop/
 	
 test:
-	perl src/cgi-bin/qemu-web-desktop.pl --dir_service=src/html/desktop --dir_html=src/html --dir_snapshots=/tmp --dir_machines=src/html/desktop/machines/ --oneshot=1
+	timeout 30 perl cgi-bin/qemu-web-desktop.pl --dir_snapshots=/tmp --dir_cfg=/tmp --dir_machines=html/desktop/machines/ --oneshot=1 --machine=TinyCore-current.iso
+	@echo Test OK
 
 uninstall:
 	-rm -rf $(DESTDIR)$(prefix)/usr/share/qemu-web-desktop
@@ -58,7 +85,8 @@
 	-rm -rf $(DESTDIR)$(prefix)/var/www/html/desktop/
 	-rm -rf $(DESTDIR)$(prefix)/etc/qemu-web-desktop/
 	-rm -rf $(DESTDIR)$(prefix)/var/lib/qemu-web-desktop/
-	-rm $(DESTDIR)$(prefix)/etc/apache2/conf-available/qemu-web-desktop.conf
+	-rm -f  $(DESTDIR)$(prefix)/etc/apache2/conf-available/qemu-web-desktop.conf
+	-rm -f  $(DESTDIR)$(prefix)/usr/share/man/man1/qwdctl.*
 	deluser _qemu-web-desktop
 
 .PHONY: all install uninstall
