=== debian/changelog ===
qemu-web-desktop (25.01.25+ds1-1) unstable; urgency=medium

  [ Emmanuel Farhi ]
  * New upstream version 25.01.25+ds1

 -- Emmanuel Farhi <emmanuel.farhi.1@gmail.com>  Sun, 16 Feb 2025 15:47:34 +0100
