=== debian/changelog ===
qemu-web-desktop (25.02.28+ds1-2) unstable; urgency=medium

  * d/control: Add dependency libnet-ssh2-perl

 -- Emmanuel Farhi <emmanuel.farhi.1@gmail.com>  Mon, 10 Mar 2025 18:23:51 +0100

qemu-web-desktop (25.02.28+ds1-1) unstable; urgency=medium

  [ Emmanuel FARHI ]
  * New upstream version 25.02.28+ds1

 -- Emmanuel Farhi <emmanuel.farhi.1@gmail.com>  Fri, 28 Feb 2025 21:29:23 +0100
