## qemu-web-desktop 25.04.04+ds1

=== debian/changelog ===
qemu-web-desktop (25.04.04+ds1-1) unstable; urgency=medium

  [ Emmanuel FARHI ]
  * New upstream version 25.04.04+ds1
  * Support for aarch64

 -- Emmanuel Farhi <emmanuel.farhi.1@gmail.com>  Fri, 04 Apr 2025 17:03:52 +0200
