=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 %:
-	dh $@ --with apache2 --with sysuser
+	dh $@ --with apache2
 
 override_dh_auto_build:
 	mkdir build
@@ -21,6 +21,10 @@
 override_dh_install:
 	dh_install
 
+# Can be dropped in compat level 13
+execute_after_dh_installinit:
+	dh_installsysusers
+
 override_dh_clean:
 	rm -rf build
 	dh_clean
