## qemu-web-desktop 25.04.05+ds1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #! /usr/bin/make -f
+
+# qemu-web-desktop project Makefile
+# This is not the one you search for.
+#
+# Use: cd src; sudo make install
 
 VERSION=$(shell awk -F= '/config{version}[[:space:]]*=/ {print $$2}' src/cgi-bin/qemu-web-desktop.pl | sed -e 's/;.*//' -e 's/"//g' -e 's/[[:space:]]*//g' | tail -1 )
 
@@ -20,6 +25,6 @@
 	# remove too big ISO
 	mv src/html/desktop/machines/slax.iso .
 	debuild -b || true
-	rm -rf debian
+	rm -rf debian build
 	mv slax.iso src/html/desktop/machines/slax.iso
 	@echo "[OK] Build deb"
