=== debian/changelog ===
qemu-web-desktop (25.04.05+ds1-1) unstable; urgency=medium

  [ Emmanuel FARHI ]
  * New upstream version 25.04.05+ds1

 -- Emmanuel Farhi <emmanuel.farhi.1@gmail.com>  Fri, 04 Apr 2025 22:22:12 +0200
