=== debian/watch ===
version=4
opts="searchmode=plain,repack,repacksuffix=+ds1,dversionmangle=auto" \
 https://gitlab.com/soleil-data-treatment/soleil-software-projects/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
